Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jimi.core.util
Class QueuedImageProducerProxy

    java.lang.Object
      |
      +--com.sun.jimi.core.util.QueuedImageProducerProxy

public class QueuedImageProducerProxy
extends java.lang.Object
implements java.awt.image.ImageProducer

ImageProducer implementation which holds added consumers in a queue until a new ImageProducer provided to proxy to. Useful for tracking addition of ImageConsumers for an ImageProducer which doesn't yet exist.

Field Summary
`protected java.util.Vector` | `queuedConsumers`
`protected java.awt.image.ImageProducer` | `realProducer`

Constructor Summary
`QueuedImageProducerProxy()`

Method Summary
`void` | `addConsumer(java.awt.image.ImageConsumer consumer)`
`java.awt.image.ImageConsumer[]` | `getConsumers()`
`java.awt.image.ImageProducer` | `getImageProducer()`
`boolean` | `isConsumer(java.awt.image.ImageConsumer consumer)`
`void` | `removeConsumer(java.awt.image.ImageConsumer consumer)`
`void` | `requestTopDownLeftRightResend(java.awt.image.ImageConsumer consumer)` Ignored if not proxying.
`void` | `setImageProducer(java.awt.image.ImageProducer producer)` Set the producer to proxy calls to.
`void` | `startProduction(java.awt.image.ImageConsumer consumer)` Ignored if not proxying.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### queuedConsumers

    protected java.util.Vector queuedConsumers

### realProducer

    protected java.awt.image.ImageProducer realProducer

Constructor Detail

### QueuedImageProducerProxy

    public QueuedImageProducerProxy()

Method Detail

### setImageProducer

    public void setImageProducer(java.awt.image.ImageProducer producer)

  Set the producer to proxy calls to. Any queued consumers will be added to this producer immediately.
  Parameters:
    `producer` - the ImageProducer to proxy to

### getImageProducer

    public java.awt.image.ImageProducer getImageProducer()

### getConsumers

    public java.awt.image.ImageConsumer[] getConsumers()

### addConsumer

    public void addConsumer(java.awt.image.ImageConsumer consumer)

  Specified by:
    addConsumer in interface java.awt.image.ImageProducer

### isConsumer

    public boolean isConsumer(java.awt.image.ImageConsumer consumer)

  Specified by:
    isConsumer in interface java.awt.image.ImageProducer

### removeConsumer

    public void removeConsumer(java.awt.image.ImageConsumer consumer)

  Specified by:
    removeConsumer in interface java.awt.image.ImageProducer

### startProduction

    public void startProduction(java.awt.image.ImageConsumer consumer)

  Ignored if not proxying.
  Specified by:
    startProduction in interface java.awt.image.ImageProducer

### requestTopDownLeftRightResend

    public void requestTopDownLeftRightResend(java.awt.image.ImageConsumer consumer)

  Ignored if not proxying.
  Specified by:
    requestTopDownLeftRightResend in interface java.awt.image.ImageProducer

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD